{ config, lib, ... }:
let
  user = "jules";
in {
  config = lib.mkIf (builtins.elem "extra-users" config.system.nixos.tags) {
    users.users.${user} = {
      isNormalUser = true;
      createHome = true;
      openssh.authorizedKeys.keys = [
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIHwxJcAWuHkKy/Ar37aIoqg34CDcZu7/bh978nYkOgzj estradiol"
        "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEOszCNP+6rkIS75GyFVhn9o6QpUuGdx/J4rjzROrpSl xeta"
      ];
      uid = 1003;
    };

    environment.persistence."/persist".directories = [ "/home/${user}" ];
  };
}
